Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ToolEntry

All Superinterfaces:
  AbstractToolEntry, EntryBase, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ToolGroupItem

All Known Implementing Classes:
  ToolEntryImpl

    public interface ToolEntry

extends AbstractToolEntry

A representation of the model object 'Tool Entry'.

The following features are supported:

- `Gen Nodes`
- `Gen Links`
- `Elements`

See Also:
  `GMFGenPackage.getToolEntry()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getElements()` Returns the value of the 'Elements' reference list.
`org.eclipse.emf.common.util.EList<GenLink>` `getGenLinks()` Returns the value of the 'Gen Links' reference list.
`org.eclipse.emf.common.util.EList<GenNode>` `getGenNodes()` Returns the value of the 'Gen Nodes' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.AbstractToolEntry
`getProperties, getQualifiedToolName, isDefault, setDefault, setQualifiedToolName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName, getDescription, getId, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setId, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ToolGroupItem
`getGroup`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenNodes

    org.eclipse.emf.common.util.EList<GenNode> getGenNodes()

  Returns the value of the 'Gen Nodes' reference list. The list contents are of type `GenNode`.

  If the meaning of the 'Gen Nodes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Nodes' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenNodes()`
  ** Generated **
  Model:

### getGenLinks

    org.eclipse.emf.common.util.EList<GenLink> getGenLinks()

  Returns the value of the 'Gen Links' reference list. The list contents are of type `GenLink`.

  If the meaning of the 'Gen Links' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Links' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenLinks()`
  ** Generated **
  Model:

### getElements

    org.eclipse.emf.common.util.EList<GenCommonBase> getElements()

  Returns the value of the 'Elements' reference list. The list contents are of type `GenCommonBase`.

  If the meaning of the 'Elements' reference list isn't clear, there really should be more of a description here...

  Enforces 'tool for either node or link' - if there are values in genNodes list, returns it (no respect to values in genLinks); returns value of genLinks otherwise

  Returns:
    the value of the 'Elements' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_Elements()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.